Description

It would be nice to be able to place columns in a composer attribute table in custom order. The most intuitive approach would be a drag

and move feature in the actual table, i.e., click a column and drag it to the position you want it to be placed on the composer table. As it

stands, the columns must be ordered in the actual table outside of the composer.

Associated revisions

Revision dc905acc - 2014-05-15 04:06 AM - Nyall Dawson

[FEATURE][composer] Rework attribute tables to make tables more flexible.

- Add support for reordering columns in a table (fix #5942)

- Add support for expression based columns

- Add support for setting column alignment (fix #2957)

- Add support for setting column header alignment

- Make sorting in tables correctly handle nulls, dates, times, locale aware string sorting

This work also paves the way for future expansion of attribute tables to allow for setting column widths, column colors, etc.

History

#1 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#2 - 2014-04-23 11:07 PM - Nyall Dawson

- Assignee changed from Marco Hugentobler to Nyall Dawson

#3 - 2014-05-14 07:15 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"dc905accacb25ff0932a19d5146de8e0b0fd3d84".
